import * as constants from './constants';
import { fromJS } from 'immutable';
import * as config from '../../../common/config.js';
import axios from '../../axios_auth.js';
// import axios from 'axios';

//Loading
export const changeLoading = () => {
    return (dispatch) => {
        dispatch({
            type: constants.CHANGE_LOCK_DETAIL_LOADING,
            data: true,
        });
    }
}

export const getlocksotreDetail = (key,error) => {
    return (dispatch) => {
        // console.log(key)
        axios.get(config.CLD2API + '/product/longleDetail/'+key).then((res) => {
            const data = res.data;
            if (data.code === 200) {
                data.data.productList=data.data.product.split("+");
                //console.log(data.data.productList);
                dispatch({
                    type: constants.CHANGE_LOCK_DETAIL,
                    data: data.data,
                });
            } else {
                error('软件锁详情请求失败');
            }
        }).catch((e) => {
            error('软件锁详情请求失败');
        })
    }
};

