import * as constants from './constants';
//锁定state不可修改，导致错误y
import { fromJS } from 'immutable';


const defaultState = fromJS({
	locksotreDetail: {},
	loading: true,
});


export default (state = defaultState, action) => {
    switch (action.type) {
		case constants.CHANGE_LOCK_DETAIL_LOADING:
			return state.set('loading', action.data);
		case constants.CHANGE_LOCK_DETAIL:
			return state.merge({
				loading: false,
				locksotreDetail: fromJS(action.data)
			});
		default:
			return state;
	}
}